# Parameters

Property in [FunctionType](/api/csharp/yarn/yarn.functiontype.md)

## Summary

Gets the list of the parameter types that this function is called with.

```csharp
public List<IType> Parameters { get; }
```

## Remarks

The length of this list also determines the number of parameters this function accepts (also known as the function's *arity* ).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.functiontype/yarn.functiontype.parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
